#
# Copyright  (C) 1985-2010 Intel Corporation. All rights reserved.
#
# The information and source code contained herein is the exclusive property
# of Intel Corporation and may not be disclosed, examined, or reproduced in
# whole or in part without explicit written authorization from the Company.
#

#! /bin/tcsh

if !($?PATH) then
    setenv PATH <INSTALLDIR>/bin/ia32
else
    setenv PATH <INSTALLDIR>/bin/ia32:${PATH}
endif

if ( "`uname`" == "Darwin" ) then
   # DYLD_LIBRARY_PATH is used on MAC OS*
   if !($?DYLD_LIBRARY_PATH) then
       setenv DYLD_LIBRARY_PATH <INSTALLDIR>/lib
   else
       setenv DYLD_LIBRARY_PATH <INSTALLDIR>/lib:${DYLD_LIBRARY_PATH}
   endif
   if !($?LIBRARY_PATH) then
       setenv LIBRARY_PATH <INSTALLDIR>/lib
   else
       setenv LIBRARY_PATH <INSTALLDIR>/lib:${LIBRARY_PATH}
   endif
   if !($?NLSPATH) then
       setenv NLSPATH <INSTALLDIR>/lib/locale/en_US/%N
   else
       setenv NLSPATH <INSTALLDIR>/lib/locale/en_US/%N:${NLSPATH}
   endif
   if !($?INTEL_LICENSE_FILE) then
       setenv INTEL_LICENSE_FILE "<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/Licenses"
   else
       setenv INTEL_LICENSE_FILE "<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:/Users/Shared/Library/Application Support/Intel/Licenses:${INTEL_LICENSE_FILE}"
   endif
   if !($?MANPATH) then
       setenv MANPATH <INSTALLDIR>/man/en_US:`manpath`
   else
       setenv MANPATH <INSTALLDIR>/man/en_US:${MANPATH}
   endif
else
   if !($?LD_LIBRARY_PATH) then
       setenv LD_LIBRARY_PATH <INSTALLDIR>/lib/ia32
   else
       setenv LD_LIBRARY_PATH <INSTALLDIR>/lib/ia32:${LD_LIBRARY_PATH}
   endif
   if !($?LIBRARY_PATH) then
       setenv LIBRARY_PATH <INSTALLDIR>/lib/ia32
   else
       setenv LIBRARY_PATH <INSTALLDIR>/lib/ia32:${LIBRARY_PATH}
   endif
   if !($?NLSPATH) then
       setenv NLSPATH <INSTALLDIR>/lib/ia32/locale/%l_%t/%N
   else
       setenv NLSPATH <INSTALLDIR>/lib/ia32/locale/%l_%t/%N:${NLSPATH}
   endif
   if !($?INTEL_LICENSE_FILE) then
       setenv INTEL_LICENSE_FILE "<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses"
   else
       setenv INTEL_LICENSE_FILE "<INSTALLDIR>/licenses:/opt/intel/licenses:${HOME}/intel/licenses:${INTEL_LICENSE_FILE}"
   endif
   if ($?LC_CTYPE) then
     if ("$LC_CTYPE" != "") then
       set LANGUAGE_TERRITORY=`echo $LC_CTYPE | sed s/\\..\*//`
     endif
   else if ($?LANG) then
     if ("$LANG" != "") then
       set LANGUAGE_TERRITORY=`echo $LANG | sed s/\\..\*//`
     endif
   endif
   endif
   if ("$LANGUAGE_TERRITORY" != "en_US") then
      if ("$LANGUAGE_TERRITORY" != "ja_JP") then
         set LANGUAGE_TERRITORY="en_US"
      endif
   endif
   if !($?MANPATH) then
        setenv MANPATH <INSTALLDIR>/man/${LANGUAGE_TERRITORY}:`manpath`
   else
        setenv MANPATH <INSTALLDIR>/man/${LANGUAGE_TERRITORY}:${MANPATH}
   endif
endif
